Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
New functions added, changes in the header files, function create_link(cond, action...
[simgrid.git] / configure
index 4f04d21..38701d2 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.ac Revision: 1.136 .
+# From configure.ac Revision: 1.140 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61 for simgrid 3.1.1-cvs.
 #
@@ -881,6 +881,10 @@ LIBOBJS
 PTH_STACK_GROWTH
 pth_skaddr_makecontext
 pth_sksize_makecontext
+USE_SIMIX_TRUE
+USE_SIMIX_FALSE
+HAVE_SDP_TRUE
+HAVE_SDP_FALSE
 SIMGRID_DEP
 GRAS_DEP
 GRAMINE_MODE_TRUE
@@ -1510,6 +1514,7 @@ Optional Features:
   --disable-dependency-tracking  speeds up one-time build
   --enable-dependency-tracking   do not reject slow dependency extractors
   --disable-libtool-lock  avoid locking (might break parallel builds)
+  --enable-simix          Use the new SimIX module (default=no)
   --enable-maintainer-mode  enable make rules and dependencies not useful
                          (and sometimes confusing) to the casual installer
   --enable-compile-warnings
@@ -4387,7 +4392,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4390 "configure"' > conftest.$ac_ext
+  echo '#line 4395 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -7409,11 +7414,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7412: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7417: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7416: \$? = $ac_status" >&5
+   echo "$as_me:7421: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7677,11 +7682,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7680: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7685: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7684: \$? = $ac_status" >&5
+   echo "$as_me:7689: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7781,11 +7786,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7784: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7789: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7788: \$? = $ac_status" >&5
+   echo "$as_me:7793: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10078,7 +10083,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10081 "configure"
+#line 10086 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10178,7 +10183,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10181 "configure"
+#line 10186 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12514,11 +12519,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12517: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12522: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12521: \$? = $ac_status" >&5
+   echo "$as_me:12526: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -12618,11 +12623,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12621: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12626: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12625: \$? = $ac_status" >&5
+   echo "$as_me:12630: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14179,11 +14184,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14182: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14187: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14186: \$? = $ac_status" >&5
+   echo "$as_me:14191: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14283,11 +14288,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14286: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14291: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14290: \$? = $ac_status" >&5
+   echo "$as_me:14295: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16470,11 +16475,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16473: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16478: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16477: \$? = $ac_status" >&5
+   echo "$as_me:16482: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16738,11 +16743,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16741: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16746: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16745: \$? = $ac_status" >&5
+   echo "$as_me:16750: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16842,11 +16847,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16845: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16850: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16849: \$? = $ac_status" >&5
+   echo "$as_me:16854: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
 
 fi
 
+
+#########################################
+## Build optional modules (simix)
+##
+
+  { echo "$as_me:$LINENO: result: " >&5
+echo "${ECHO_T}" >&6; }
+  { echo "$as_me:$LINENO: result: ${T_MD}Optional modules${T_ME}" >&5
+echo "${ECHO_T}${T_MD}Optional modules${T_ME}" >&6; }
+
+# Check whether --enable-simix was given.
+if test "${enable_simix+set}" = set; then
+  enableval=$enable_simix; enable_simix=$enableval
+else
+  enable_simix=no
+fi
+
+if test "x$enable_simix" = "xyes" ; then
+  { echo "$as_me:$LINENO: result: \"***** You have decided to use the experimental SimIX. We hope you know what you're doing.. ****\"" >&5
+echo "${ECHO_T}\"***** You have decided to use the experimental SimIX. We hope you know what you're doing.. ****\"" >&6; }
+
+cat >>confdefs.h <<\_ACEOF
+#define USE_SIMIX 1
+_ACEOF
+
+else
+  { echo "$as_me:$LINENO: result: Eventually you will come to SimIX: x$enable_simix" >&5
+echo "${ECHO_T}Eventually you will come to SimIX: x$enable_simix" >&6; }
+fi
+
+
+if test x$enable_simix != xno; then
+  USE_SIMIX_TRUE=
+  USE_SIMIX_FALSE='#'
+else
+  USE_SIMIX_TRUE='#'
+  USE_SIMIX_FALSE=
+fi
+
+
 #########################################
 ## Check for libraries extra-dependencies
 ##
@@ -25290,7 +25335,102 @@ echo "${ECHO_T}" >&6; }
   { echo "$as_me:$LINENO: result: ${T_MD}Checking extra libraries dependencies...${T_ME}" >&5
 echo "${ECHO_T}${T_MD}Checking extra libraries dependencies...${T_ME}" >&6; }
 
+
+{ echo "$as_me:$LINENO: checking for csdp" >&5
+echo $ECHO_N "checking for csdp... $ECHO_C" >&6; }
 SIMGRID_DEP=""
+sdp=no
+{ echo "$as_me:$LINENO: checking for sdp in -lsdp" >&5
+echo $ECHO_N "checking for sdp in -lsdp... $ECHO_C" >&6; }
+if test "${ac_cv_lib_sdp_sdp+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lsdp -llapack -lblas -lm $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char sdp ();
+int
+main ()
+{
+return sdp ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_sdp_sdp=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_lib_sdp_sdp=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_sdp_sdp" >&5
+echo "${ECHO_T}$ac_cv_lib_sdp_sdp" >&6; }
+if test $ac_cv_lib_sdp_sdp = yes; then
+  csdp=yes
+else
+  csdp=no
+fi
+
+if test "x$csdp" = xyes; then
+  SIMGRID_DEP="$SIMGRID_DEP -lsdp -llapack -lblas -lm"
+  { echo "$as_me:$LINENO: result: Found working sdp library." >&5
+echo "${ECHO_T}Found working sdp library." >&6; }
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_SDP 1
+_ACEOF
+
+else
+  { echo "$as_me:$LINENO: result: Could not find any working sdp library." >&5
+echo "${ECHO_T}Could not find any working sdp library." >&6; }
+fi;
+
+
+if test x$csdp != xno; then
+  HAVE_SDP_TRUE=
+  HAVE_SDP_FALSE='#'
+else
+  HAVE_SDP_TRUE='#'
+  HAVE_SDP_FALSE=
+fi
+
+
 
 
 GRAS_DEP=""
@@ -25440,6 +25580,7 @@ echo "${ECHO_T}$GRAS_DEP" >&6; }
 fi
 
 
+
 ##############################################
 ## Enhance maintainer mode and SUBST variables
 ## (must be placed after any compilation tests since our overprotective flags
@@ -26281,6 +26422,20 @@ echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${USE_SIMIX_TRUE}" && test -z "${USE_SIMIX_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"USE_SIMIX\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"USE_SIMIX\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test -z "${HAVE_SDP_TRUE}" && test -z "${HAVE_SDP_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"HAVE_SDP\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"HAVE_SDP\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${GRAMINE_MODE_TRUE}" && test -z "${GRAMINE_MODE_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"GRAMINE_MODE\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -27041,6 +27196,10 @@ LIBOBJS!$LIBOBJS$ac_delim
 PTH_STACK_GROWTH!$PTH_STACK_GROWTH$ac_delim
 pth_skaddr_makecontext!$pth_skaddr_makecontext$ac_delim
 pth_sksize_makecontext!$pth_sksize_makecontext$ac_delim
+USE_SIMIX_TRUE!$USE_SIMIX_TRUE$ac_delim
+USE_SIMIX_FALSE!$USE_SIMIX_FALSE$ac_delim
+HAVE_SDP_TRUE!$HAVE_SDP_TRUE$ac_delim
+HAVE_SDP_FALSE!$HAVE_SDP_FALSE$ac_delim
 SIMGRID_DEP!$SIMGRID_DEP$ac_delim
 GRAS_DEP!$GRAS_DEP$ac_delim
 GRAMINE_MODE_TRUE!$GRAMINE_MODE_TRUE$ac_delim
@@ -27069,7 +27228,7 @@ build_id!$build_id$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 40; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 44; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5